Bug 308248 - Incorrect offset for decoration-maximized elements
Summary: Incorrect offset for decoration-maximized elements
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: aurorae (show other bugs)
Version: 4.9.2
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: 4.9.3
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-11 15:30 UTC by Martin Flöser
Modified: 2012-10-28 10:14 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.9.3


Attachments
Proposed patch (1.07 KB, patch)
2012-10-11 15:30 UTC, Martin Flöser
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Flöser 2012-10-11 15:30:09 UTC
The maximized element (decoration-maximized and decoration-maximized-inactive) of Aurorae themes have an incorrect top/right/left margin which makes them look out of place.

This can be easily seen with themes providing the maximized elements such as USU.
Comment 1 Martin Flöser 2012-10-11 15:30:52 UTC
Created attachment 74482 [details]
Proposed patch
Comment 2 lokiisyourmaster 2012-10-11 20:45:48 UTC
I've tested with the proposed patch, and everything seems to be working OK.
Comment 3 Martin Flöser 2012-10-12 05:47:27 UTC
Git commit 2617af5e4ceace7deafe79913c29b28d3248b506 by Martin Gräßlin.
Committed on 11/10/2012 at 18:05.
Pushed by graesslin into branch 'KDE/4.9'.

Remove margins for decoration-maximized elements

Fixes incorrect rendering of decorations providing a maximized element.
FIXED-IN: 4.9.3

M  +6    -6    kwin/clients/aurorae/src/qml/aurorae.qml

http://commits.kde.org/kde-workspace/2617af5e4ceace7deafe79913c29b28d3248b506